# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.470   -> 1.471  
#	drivers/usb/class/usb-midi.c	1.1     -> 1.2    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/06/07	greg@kroah.com	1.471
# USB: usb-midi driver: fixed memory flag, as pointed out by Oliver Neukum
# --------------------------------------------
#
diff -Nru a/drivers/usb/class/usb-midi.c b/drivers/usb/class/usb-midi.c
--- a/drivers/usb/class/usb-midi.c	Sat Jun  8 15:16:01 2002
+++ b/drivers/usb/class/usb-midi.c	Sat Jun  8 15:16:01 2002
@@ -896,7 +896,7 @@
 			/* urb->dev must be reinitialized on 2.4.x kernels */
 			m->min.ep->urb->dev = m->min.ep->usbdev;
 
-			if ( usb_submit_urb(m->min.ep->urb, GFP_KERNEL) ) {
+			if ( usb_submit_urb(m->min.ep->urb, GFP_ATOMIC) ) {
 				printk(KERN_ERR "usbmidi: Cannot submit urb for MIDI-IN\n");
 			}
 			m->min.ep->urbSubmitted = 1;
